Album: 'Tumblrstuck/bent OST: Volume 0'
Directory: tumblrstuck-bent-ost-volume-0
Artists:
- Samm Neiland
Date: March 27, 2011
Date Added: January 1, 2023
URLs:
- https://sammneiland.bandcamp.com/album/tumblrstuck-bent-ost-volume-0
Cover Artists:
- Akirata
Color: '#c8c8c8'
Groups:
- Tumblrstuck/bent
- Fandom
Commentary: |-
    <i>Samm Neiland:</i>
    a collection of the sorta of chiptune/homestuck/geeky music I've done thusfar.
---
Section: Main album
---
Track: Mind Your Step, Young Squire
Duration: '2:32'
URLs:
- https://sammneiland.bandcamp.com/track/mind-your-step-young-squire
Commentary: |-
    <i>Samm Neiland:</i>
    this is actually a song for a little tumblr projected called tumblrstuck.

    i'll be playing a roll in it later (beyond just making music for it of course :P)

    theme music for the land of curses and change.

    enjoy.
---
Track: Grande Illusion
Duration: '2:03'
URLs:
- https://sammneiland.bandcamp.com/track/grande-illusion
Commentary: |-
    <i>Samm Neiland:</i>
    my attempt at making something that sounds like it belongs in a homestuck animation.

    yes, i want to make music for them.

    spread the word.
---
Track: Conflict of Grace
Duration: '1:56'
URLs:
- https://sammneiland.bandcamp.com/track/conflict-of-grace
Commentary: |-
    <i>Samm Neiland:</i>
    yaaaaay now i get to post this. another song for tumblr stuck. its pretty much a pair to the other song i did ([[track:mind-your-step-young-squire|mind your step, young squire]]), this one being the battle or "strife" song.

    enjoy~
---
Track: I Keep Forgetting
Duration: '4:37'
URLs:
- https://sammneiland.bandcamp.com/track/i-keep-forgetting
Commentary: |-
    <i>Samm Neiland:</i>
    yep. after... a week since the last one, its another MSPA esque song, and my longest one yet. someone said that it seems like something that would fit a current gamzee situation. maybe.

    anyway, enjoy.
---
Track: Lets Get Lost
Duration: '2:23'
URLs:
- https://sammneiland.bandcamp.com/track/lets-get-lost
Commentary: |-
    <i>Samm Neiland:</i>
    another mspa/tumblrstuck songy dealy bob. i just keep cranking them out.

    i wanted to do something a little more mellow and not quite so involved, so i came up with this little pretty piece.
---
Track: We'll Make the Best of Things
Duration: '3:43'
URLs:
- https://sammneiland.bandcamp.com/track/well-make-the-best-of-things
Commentary: |-
    <i>Samm Neiland:</i>
    another MSPA inspired song

    due to the overwhelmingly positive response i got from [[track:grande-illusion|the first one]], i did another one, though i tried something a bit different to make it a little more me. anyway, enjoy~

    for maybe some context as to the idea/inspiration behind this one, i was dwelling on the thought of "well what are the kids going to do once they dawn on the fact that everything they knew before isn't coming back?" of course this piece would be after any sort of post delusion drama.
---
Section: Bonus tracks
---
Track: 'Grande Illusion: Que Dieu ait pitie'
Duration: '1:27'
URLs:
- https://hsmusic.wiki/media/misc/archive/Grande%20Illusion%2D%20Que%20Dieu%20ait%20pitie%20%28Bonus%29.mp3
- https://sammneiland.tumblr.com/post/3493764243/grande-illusion-que-dieu-ait-piti%C3%A9-id-forgotten
Referenced Tracks:
- Grande Illusion
Commentary: |-
    <i>Samm Neiland:</i>
    i'd forgotten i'd did this a while back and realized i never posted it.

    well anyway, its basically an overly dramatic version of [[track:grande-illusion|grand illusion]] done on a pipe organ.

    yep.
